/* Problem URL: https://codeforces.com/contest/903/problem/D */

#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>

using namespace std;
using namespace __gnu_pbds;

template <class T, class comp = less<>>
using ordered_set = tree<T, null_type , comp , rb_tree_tag , tree_order_statistics_node_update>;

#define V vector

#define rmin(a, b) a = min(a, b)
#define rmax(a, b) a = max(a, b)

#define rep(i, lim) for (int i = 0; i < (lim); i++)
#define nrep(i, s, lim) for (int i = s; i < (lim); i++)

#define repv(i, v) for (auto &i : (v))
#define fillv(v) for (auto &itr_ : (v)) { cin >> itr_; }
#define sortv(v) sort(v.begin(), v.end())
#define all(v) (v).begin(), (v).end()

using vi = vector<int>;
using vvi = vector<vi>;
using vvvi = vector<vvi>;
using vvvvi = vector<vvvi>;

using ll = long long;

using vl = vector<ll>;
using vvl = vector<vl>;
using vvvl = vector<vvl>;
using vvvvl = vector<vvvl>;

template<class v>
auto operator<<(ostream &os, const vector<v> &vec)->ostream& {
    os << vec[0];
    for (size_t i = 1; i < vec.size(); i++) {
        os << ' ' << vec[i];
    }
    os << '\n';
    return os;
}

template<class v>
auto operator>>(istream &is, vector<v> &vec)->istream& {
    for (auto &i : vec) {
        is >> i;
    }
    return is;
}

template<class v>
auto operator<<(ostream &os, const vector<vector<v>> &vec)->ostream& {
    for (auto &i : vec) {
        os << i[0];
        for (size_t j = 1; j < i.size(); j++) {
            os << ' ' << i[j];
        }
        os << '\n';
    }
    return os;
}

template<class v>
auto operator>>(istream  &is, vector<vector<v>> &vec)->istream& {
    for (auto &i : vec) {
        for (auto &j : i) {
            is >> j;
        }
    }
    return is;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

#define int long long

    int n;
    cin >> n;

    map<ll, int> var;
    int v = 0;

    vl a(n);
    repv(i, a) {
        cin >> i;
        var[i] = 0;
    }

    vl inv(var.size());
    repv(i, var) {
        i.second = v;
        inv[v] = i.first;
        v++;
    }

    int size = v;
    if (size > 1) {
        size = 1 << (32 - __builtin_clz(size - 1));
    }

    V<pair<int, ll>> seg(size * 2);

    auto update = [&](int i) {
        i += size;
        seg[i].first++;
        seg[i].second += inv[i - size];

        for (i >>= 1; i > 0; i >>= 1) {
            seg[i] = {seg[i * 2].first + seg[i * 2 + 1].first, seg[i * 2].second + seg[i * 2 + 1].second};
        }
    };

    function<pair<int, ll>(int, int, int, int, int)> query = [&](int i, int l, int r, int tl, int tr) -> pair<int, ll> {
        if (l > tr || r < tl) {
            return {0, 0};
        }

        if (l >= tl && r <= tr) {
            return seg[i];
        }

        int mid = (l + r) >> 1;

        auto ans1 = query(i * 2, l, mid, tl, tr);
        auto ans2 = query(i * 2 + 1, mid + 1, r, tl, tr);

        return {ans1.first + ans2.first, ans1.second + ans2.second};
    };

    __int128 ans = 0;

    rep(i, n) {
        int act = var[a[i]];
        int upper = act + 1 + var.count(a[i] + 1);
        int lower = act - 1 - var.count(a[i] - 1);

        auto tmp = query(1, 0, size - 1, upper, v - 1);
        ans += (__int128)tmp.first * a[i] - tmp.second;
        
        tmp = query(1, 0, size - 1, 0, lower);
        ans += (__int128)tmp.first * a[i] - tmp.second;

        update(act);
    }

    bool isneg = ans < 0;
    bool iszero = ans == 0;

    if (isneg) {
        ans = -ans;
    }

    string act;
    while (ans > 0) {
        act.push_back((ans % 10) + '0');
        ans /= 10;
    }

    reverse(all(act));

    cout << (isneg ? "-" : "") << (iszero ? "0" : "") << act << '\n';
}
